{ lib
, stdenv
, cmake
, nlohmann_json
}:

stdenv.mkDerivation {
  pname = "desktop-utils";
  version = "1.0.0";

  src = builtins.path { path = ./.; name = "desktop-utils"; };

  nativeBuildInputs = [
    cmake
  ]; 

  buildInputs = [
    nlohmann_json
  ]; 

  cmakeFlags = [
  ];

  installPhase = ''
    mkdir -p $out/bin
    cp clients $out/bin/clients
  '';

  meta = with lib; {
    description = "utils for my desktop";
    homepage = " git.huwe.mooo.com/willifan/desktop-utils";
    license = licenses.gpl3;
    platforms = platforms.unix;
  }; 

}
